Lights Off game doesn't work in Maverick

Reported by Sean Fitzpatrick on 2010-09-08
142
This bug affects 27 people
Affects Status Importance Assigned to Milestone
GNOME Games
Invalid
Undecided
Unassigned
gnome-games (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: gnome-games

Upon upgrade to Ubuntu 10.10 beta, the game Lights Off (package lightsoff) has ceased to function. If I choose it from the menu, the window loads, and the level indicator appears at the bottom, but no blocks appear in the gameplay area as expected, and level up/down and new game commands do nothing.

Here is the output when run from terminal:

sean@sean-laptop:~$ lightsoff

** (seed:6170): WARNING **: Exception in instance construction. Line 103 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'GLib.main_context_iteration' [undefined] is not a function.

** (seed:6170): WARNING **: Exception in instance construction. Line 184 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'lights[x][y]' [undefined] is not an object.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: lightsoff 1:2.31.91.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Uname: Linux 2.6.35-20-generic i686
Architecture: i386
Date: Wed Sep 8 09:37:39 2010
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Release i386 (20100429.4)
ProcEnviron:
 LANG=en_CA.utf8
 SHELL=/bin/bash
SourcePackage: gnome-games

Both gnibbles and swell-foop are completely broken too. I know games aren't high priority but they are often the first thing a new user will try out (and by them, judge the OS). (I myself was motivated to switch to Linux by the kde games available on a Red Hat machine in my office several years ago...)

Pedro Villavicencio (pedro) wrote :

looks like bug https://bugzilla.gnome.org/show_bug.cgi?id=616288 ; linking that report.

Changed in gnome-games (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
status: Confirmed → Triaged

I think this might be different, but I'm not sure. At least the error output I got is different, and the attached screen shot doesn't agree with what I'm getting.
More info: I just tried running the program again to get a screen shot. Right now I'm using the Unity netbook interface, and running it from the terminal brings the same error messages, but now no window shows up at all! I'm going to re-login using the gnome desktop to see if the window still launches there.

I still get the program window when I login to the gnome desktop - see attached screenshot. Should I try installing a desktop theme using cleanlooks to see if it starts working? (That would suggest this is in fact the same as bug #616288.)

First screenshot got corrupted somehow - there aren't two copies of the menu bar. (See new attachment)
The main thing to observe is the absence of the shiny blue blocks one is supposed to be trying to remove in this game.

Changed in gnome-games:
status: Unknown → New

This doesn't seem to be the bug Pedro Villavicencio pointed out. I think it's a gobject introspection problem: seed can't find GLib.main_context_iteration, so it can't run the function that initializes the light buttons. Workaround: comment out line 103 of /usr/share/gnome-games/lightsoff/Board.js. (Edit the file as root and put // at the beginning of the line. Or delete the line...) Lightsoff works fine if you do that.

I tried commenting out this line and now I just get a blank window - see screenshot.
There must be something else going wrong on my machine.

Actually I just tried putting the line back in and the same thing happens. The only difference seems to be that with the line commented out I get the blank window without any error messages showing up in the terminal.

I'm sorry my workaround didn't work for you. It sounds like you have discovered a separate bug -- at least if this new behavior persists when you (1) reinstall the package and (2) double-checked in gconf-editor that the apps/lightsoff/score value is a positive integer. Good luck!

Changed in gnome-games:
importance: Unknown → Critical
Stef Walter (stefw) wrote :

After the update of the gnome-games package this problem persists. When I first ran lightsoff after the update I got the same thing as in the image posted by Stef (except that the counter was set to 00001).
There was also a window with seed in the title bar that appeared very briefly before the lightsoff window appeared. Subsequent attempts to run the program get me the window as in post #8 above.
Also immediately after closing the window I got the following crash report:
wncksyncdaemon crashed with signal 5 in _XError()
However, I can't reproduce this crash so it was probably a coincidence.

summary: - Lights Off game doesn't work
+ Lights Off game doesn't work correctly

Lights off has stopped working in Ubuntu 10.10 for me. :(

Yes, the final release is out now, and this package is still broken, along with swell-foop and gnibbles - all three regressions from 10.04 (although admittedly swell-foop was never stable and itself was a regression from the older same-gnome).
Is this an upstream problem? Does anyone know if the gnome games packages all work correctly on other distributions?

Tim Horton (hortont) wrote :

I'm currently trying to work on this issue (as the dev of two of these games) -- does everyone experiencing the blank-window problem have ATI graphics hardware, by any chance? (I've already fixed the main_context_iteration problem).

Stef Walter (stefw) wrote :

Nope. I have an NVIDIA card:

01:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce 8800 GTS 512] (rev a2)

Allen Lowe (lallenlowe) wrote :

I can confirm this bug on my maverick install, using proprietary Nvidia drivers. The game starts up, but the actual game area is just all black. I also get the error: TypeError Result of expression 'lights[x][y]' [undefined] is not an object.

Dr. Pete DiBona (pjdibona) wrote :

Bigger problem ...maybe? I am a newbie so beware!
Ever since I upgraded to desktop version 10.10 from 10.04, I have been unable to play many games or view videos.
Game problems noticed:
       Gnome Games: Swell Foop and Lights Off don’t work properly. Screen loads but no LO images or no SF action.
       Games on AARP.org: Mah Jongg Dimensions
       Games on Bing.com: Pyramid Solitaire, Mah Jongg Dimensions, Bejeweled, Bejeweled 2
Video problems noticed:
       Videos at Bing. com

All of these were accessible and functioned properly before the upgrade to Maverick.
Check your system tests. Mine failed the Java Appl. test.

The problems with online games I would think are unrelated. I've found in the past (before Sun released a 64-bit java plugin) that the open source Iced Tea java plugin handles 95% of applets just fine, but there were a handful of specialised applets that wouldn't work. Check to see if you have sun-java6-plugin installed - I think Iced Tea might be the default (apologies if I'm totally wrong about this). Sun's java plugin should handle any java games (it's what's used on windows if I remember correctly).

turbolad (turbolad995) wrote :

I have the same bug here with Nvidia and only with this game - lights out, same as comment #17, but no error message, just a black background.

turbolad (turbolad995) wrote :

Just installed Ubuntu 10.10 "Maverick Meerkat" on the netbook, which does not have an Nvidia graphics card, but the game does not work at all. Just a black background. Definitely a regression caused by Ubuntu 10.10 as the Lights Off game worked fine in Ubuntu 10.04 - what's going on?

BlackSir (blacksir) on 2011-01-01
summary: - Lights Off game doesn't work correctly
+ Lights Off game doesn't work in Maverick
Andy B (andy-bowdin) wrote :

Same problems after install of Maverick...
Lights Out worked after installing java and re-installing lights out with Ubuntu Software Centre (and several other games came along with it). (perhaps it doesn't need to be reinstalled, but I had already removed it before installing Java).
Complicated because java is now in the care of Oracle and they are Windows-centric on their java pages, however
http://www.java.com/en/download/help/linux_install.xml gives instructions (use self-extracting 20.2mb Not RPM).
I created a java directory in my home directory (ie mkdir ~/java/) copied the downloaded file into there chmod +x & ran it, but if you have multiple users you should probably put it in /usr (ie sudo mkdir /usr/java) and use sudo to run it.
off topic - To get java applets in Firefox see http://www.oracle.com/technetwork/java/javase/manual-plugin-install-linux-136395.html, test the applet & wait ... Firefox should eventually prompt you to install the Iced Tea plugin.

Doesn't help for Swell Foop though, sorry Dr DiBona.

Andy B (andy-bowdin) wrote :

SORRY IGNORE THE ABOVE I got "Light Up" instead.
Lights Off still doesnt work.

Saliya Hamparawa (hamparawa) wrote :

It doesn't work work with mine either...

Linux hama-laptop 2.6.35-23-generic #41-Ubuntu SMP Wed Nov 24 10:18:49 UTC 2010 i686 GNU/Linux
hama@hama-laptop:~$ lightsoff
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `gtk-enable-event-sounds' of type `gboolean' from rc file value "((GString*) 0x93aba10)" of type `gboolean'
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `gtk-enable-input-feedback-sounds' of type `gboolean' from rc file value "((GString*) 0x93ab970)" of type `gboolean'
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `gtk-button-images' of type `gboolean' from rc file value "((GString*) 0x93abb00)" of type `gboolean'
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `gtk-menu-images' of type `gboolean' from rc file value "((GString*) 0x93aba80)" of type `gboolean'

** (seed:8040): WARNING **: Exception in instance construction. Line 103 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'GLib.main_context_iteration' [undefined] is not a function.

** (seed:8040): WARNING **: Exception in instance construction. Line 184 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'lights[x][y]' [undefined] is not an object.

** (seed:8040): WARNING **: Exception in instance construction. Line 103 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'GLib.main_context_iteration' [undefined] is not a function.

** (seed:8040): WARNING **: Exception in closure (0x9767020) for signal handler (GtkBuilder) (handler [anonymous]). Line 184 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'lights[x][y]' [undefined] is not an object.

Fabian Kosmale (fakos) wrote :

I can also confirm this bug. Error message :
** (seed:13480): WARNING **: Exception in instance construction. Line 104 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'GLib.main_context_iteration' [undefined] is not a function.

** (seed:13480): WARNING **: Exception in instance construction. Line 194 in /usr/share/gnome-games/lightsoff/Board.js: TypeError Result of expression 'lights[x][y]' [undefined] is not an object.

I've tried Justin Blanchard's workaround which works fine for me, but rather recommend to use a try-catch-construct which will ensure that GLib.main_context_iteration will be executed when there are no problems with it. However Tim Horton announced that he fixed the main_context_iteration issue, so why does it still exist? Any problems with seed?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-games - 1:2.32.1-0ubuntu4

---------------
gnome-games (1:2.32.1-0ubuntu4) natty; urgency=low

  [ Ken VanDine ]
  * debian/gnome-games-common.install.in
    - Fix multiarch related FTBFS
  * debian/rules
    - Fix multiarch related FTBFS

  [ Robert Ancell ]
  * debian/control:
    - Add gir1.2-gnomegamessupport-1.0 package
  * debian/gir1.2-gnomegamessupport-1.0.install.in:
    - New package for GIR files
  * debian/rules:
    - Fix use of DEB_DH_FIXPERMS_ARGS_ALL
    - Use DEB_DH_GIREPOSITORY_ARGS_ALL to find gir file
  * debian/patches/00git_private_typelib.patch:
    - Install GI files into a private location
  * debian/patches/03_swell_foop.patch:
    - Fix Swell Foop (LP: #626016)
  * debian/patches/04_lightsoff.patch:
    - Fix Lights Off (LP: #633292)
 -- Robert Ancell <email address hidden> Thu, 31 Mar 2011 10:21:55 +1100

Changed in gnome-games (Ubuntu):
status: Triaged → Fix Released
VS (storvann) wrote :

Fixed for Natty, but what about Maverick?

turbolad (turbolad995) wrote :

Yes, what about Ubuntu 10.10 (Maverick)??

See bug #626016 - there's a patch available; it fixes both lightsoff and swell-foop. Just follow the instructions in #12 - it takes about a minute to get up and running. (And for what it's worth, it was only fixed for Natty today.)

dino99 (9d9) wrote :

EOL reached on that serie https://wiki.ubuntu.com/Releases

Changed in gnome-games (Ubuntu Maverick):
status: New → Incomplete
status: Incomplete → Invalid
Changed in gnome-games:
importance: Critical → Undecided
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.